[Debian-ha-commits] [crmsh] 03/04: d/tests: add test for cluster init

Valentin Vidic vvidic-guest at moszumanska.debian.org
Tue Jul 25 13:43:26 UTC 2017


This is an automated email from the git hooks/post-receive script.

vvidic-guest pushed a commit to branch master
in repository crmsh.

commit 657a996854de4bb7e6fe0f75df9378c511ced3b4
Author: Valentin Vidic <Valentin.Vidic at CARNet.hr>
Date:   Tue Jul 25 15:31:55 2017 +0200

    d/tests: add test for cluster init
---
 debian/tests/control                   |  4 ++++
 debian/tests/pacemaker-cluster-init.sh | 19 +++++++++++++++++++
 2 files changed, 23 insertions(+)

diff --git a/debian/tests/control b/debian/tests/control
index a5c6b47..459b143 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -21,3 +21,7 @@ Restrictions: needs-root, allow-stderr, isolation-container
 Tests: pacemaker-node-status.sh
 Depends: @, pacemaker, corosync
 Restrictions: needs-root, allow-stderr, isolation-container
+
+Tests: pacemaker-cluster-init.sh
+Depends: @, pacemaker, corosync, csync2, ntp, ufw, openssh-client, dmidecode, booth, booth-pacemaker
+Restrictions: needs-root, allow-stderr, isolation-container
diff --git a/debian/tests/pacemaker-cluster-init.sh b/debian/tests/pacemaker-cluster-init.sh
new file mode 100644
index 0000000..6aa9ff1
--- /dev/null
+++ b/debian/tests/pacemaker-cluster-init.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -ex
+
+service corosync stop
+
+crm cluster init --yes --name=autopkgtest --admin-ip=127.1.1.1
+
+crm cluster geo-init --yes --clusters=autopkgtest=127.2.2.2 --tickets=ticket1
+crm resource start g-booth
+sleep 5
+
+crm status
+
+crm status | grep -q admin-ip.*Started
+crm status | grep -q booth-site.*Started
+
+: INFO all tests OK
+exit 0

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-ha/crmsh.git



More information about the Debian-HA-Commits mailing list